# -*- coding: utf-8 -*-
import meca_vecteur
import math

## Extraction des donnees du fichier csv
# Appel à la fonction extraire_donnees, definie dans le fichier meca_vecteur
t, x, y = meca_vecteur.extraire_donnees('mouvement_cu.csv')

# Appel de la fonction permettant d'afficher la trajectoire du systeme
# (fonction definie dans le fichier meca_vecteur)
meca_vecteur.affiche_trajectoire(x, y, 3*max(x))


### La coordonnee x du i-eme point s'écrit x[i] et la date correspondante s'écrit t[i]

# Indice du point considéré (faire varier i pour changer de point)
i = 9

# Definition de l'intervalle de temps delta_t entre 3 images (i-1 et i+1)
delta_t = 

# Definition des composantes vx et vy du vecteur vitesse pour le i-eme point
vx_i = 
vy_i = 

# Definition des composantes vx et vy du vecteur vitesse pour le i+2-eme point
j = i + 2
vx_j = 
vy_j = 

# Trace du vecteur vitesse au i-eme point en noir


# Trace du vecteur vitesse au i+2-eme point en vert


# Trace du vecteur v_i+2 au i+1-eme point puis report du vecteur -v_i au bout de v_i+2 en lightgrey


# Trace du vecteur delta_v = v_i+2 - v_i au point i+1-eme point en rouge


# Definition de delta_v
delta_v = math.sqrt((vx_j-vx_i)**2+(vy_j-vy_i)**2)
# Definition de l'acceleration pour le i+1-eme point
a = delta_v / delta_t
# Definition de a_n (acceleration normale) pour le i+1-eme point
r = math.sqrt(x[i]**2+y[i]**2)
a_n = (vx_j**2+vy_j**2)/r

print("L'acceleration du système a pour valeur a = {} m.s-2".format(round(a, 3)))
print("L'acceleration normale du système a pour valeur a_n = {} m.s-2".format(round(a_n, 3)))